
Nirva Application Platform - Bug #34

Http hangs

10/24/2011 10:52 AM - Maxime Merle

Status: Closed Start date: 10/24/2011

Priority: Normal Due date:  

Assignee: Pierre Marc % Done: 0%

Category: Application Platform Estimated time: 0.00 hour

Target version:    

Operating System: Windows Tested: No

Version: 3.1.004   

Description

We observed several NIRVA crash on our production server. (nvs.exe stopped working)

- detail:

Signature du problème :

Nom d’événement de problème:    APPCRASH

Nom de l’application:    nvs.exe

Version de l’application:    0.0.0.0

Horodatage de l’application:    4d4add4d

Nom du module par défaut:    MSVCP90.dll

Version du module par défaut:    9.0.30729.6161

Horodateur du module par défaut:    4dace5bd

Code de l’exception:    c0000005

Décalage de l’exception:    000058ba

Version du système:    6.1.7601.2.1.0.1296.17

Identificateur de paramètres régionaux:    1036

Information supplémentaire n° 1:    0a9e

Information supplémentaire n° 2:    0a9e372d3b4ad19135b953a78882e789

Information supplémentaire n° 3:    0a9e

Information supplémentaire n° 4:    0a9e372d3b4ad19135b953a78882e789

Lire notre déclaration de confidentialité en ligne :

 http://go.microsoft.com/fwlink/?linkid=104288&clcid=0x040c

Si la déclaration de confidentialité en ligne n’est pas disponible, lisez la version hors connexion :

C:\Windows\system32\fr-FR\erofflps.txt

-

Starting NIRVA with the g http=1 parameter, we see a bug :

-

Read nothing ->*** Received (socket closed by peer)

Http Client thread exception Occurred (Read message) **

--

Of course we will upgrade the server version 4.5.000 but we did not note any corrections on the subject of developments in the

http client.

History

#1 - 10/24/2011 11:14 AM - Pierre Marc

- Assignee set to Pierre Marc

Hi Maxime,

Could you describe more precisely the issue at Nirva point of view?

Do you have some logs ?

The process nvs.exe stops working or not ?

What about if you upgrade to the last version ?

Are you able to reproduce the issue ?

What about the memory of the nvs.exe process ?

05/12/2024 1/3

http://go.microsoft.com/fwlink/?linkid=104288&clcid=0x040c


#2 - 10/24/2011 11:59 AM - Maxime Merle

Hi Pierre,

There is nothing relevant in the memory

We reproduce on ONE application of the server not on others.

Sometimes the nvs.exe stops sometimes not but the application do not respond.

We have some logs and we try to filter them.

It appears that sometimes a command starts but does not ends. (we have the start command log but not the end command log using system log

level4)

#3 - 10/24/2011 02:50 PM - Maxime Merle

- File sockets_http_crash-all.7z added

- File trace_http_crash-all.txt added

- File Logs_http_crash-all.zip added

We upgrade to NIRVA 4.6.000.

We have the same problem and we can reproduce it only on our production server.

We join zip archives of the system logs, trace and sockets.

First crash : 14:36:28

Crash http : 14:37:47

#4 - 11/04/2011 12:07 PM - Pierre Marc

- Status changed from New to Feedback

We cannot reproduce this issue until now. The logs seems to show an exception when reading a specific http message from a specific browser

version. We are waiting for you to be able to reproduce it with minimal material. Then I suggest to send you a special version of the nirva executable

in order to catch the issue.

#5 - 01/09/2012 06:04 PM - Pierre Marc

- Tested set to No

#6 - 03/21/2012 04:40 PM - Pierre Marc

Hi Maxime,

If you don't have more information for us to reproduce this issue, it will be closed.

#7 - 03/27/2012 05:07 PM - Pierre Marc

- Status changed from Feedback to Rejected

Since we didn't get some information back, we close this case.
#8 - 03/27/2012 05:07 PM - Pierre Marc

- Status changed from Rejected to Closed

Files

Logs_http_crash-all.zip 2.55 MB 10/24/2011 Maxime Merle

sockets_http_crash-all.7z 976 KB 10/24/2011 Maxime Merle

trace_http_crash-all.txt 123 KB 10/24/2011 Maxime Merle
